Run of lintian-fixes for libjs-requirejs-text

Try this locally (using the package):

debcheckout libjs-requirejs-text
cd libjs-requirejs-text
lintian-brush

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index ae5d55c..1a3e8ba 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+libjs-requirejs-text (2.0.12-2) UNRELEASED; urgency=medium
+
+  * Use secure copyright file specification URI.
+  * Bump debhelper from old 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Change priority extra to priority optional.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Make "Files: *" paragraph the first in the copyright file.
+  * Update Vcs-* headers to use salsa repository.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 22 Feb 2020 14:19:56 +0000
+
 libjs-requirejs-text (2.0.12-1) unstable; urgency=medium
 
   * New upstream release.
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index a075a62..4ec3c72 100644
--- a/debian/control
+++ b/debian/control
@@ -1,12 +1,12 @@
 Source: libjs-requirejs-text
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9), yui-compressor
+Build-Depends: debhelper-compat (= 12), yui-compressor
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/libjs-requirejs-text.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/libjs-requirejs-text.git
+Vcs-Git: https://salsa.debian.org/js-team/libjs-requirejs-text.git
+Vcs-Browser: https://salsa.debian.org/js-team/libjs-requirejs-text
 Homepage: https://github.com/requirejs/text
 
 Package: libjs-requirejs-text
diff --git a/debian/copyright b/debian/copyright
index 40dad1c..661917c 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,15 +1,15 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: requirejs-text
 Source: git://github.com/requirejs/text.git
 
-Files: debian/*
-Copyright: (c) 2014, Thomas Goirand <zigo@debian.org>
-License: Dojo-BSD-or-MIT
-
 Files: *
 Copyright: (c) 2010-2011, The Dojo Foundation, James Burke <jrburke@gmail.com>
 License: Dojo-BSD-or-MIT
 
+Files: debian/*
+Copyright: (c) 2014, Thomas Goirand <zigo@debian.org>
+License: Dojo-BSD-or-MIT
+
 License: Dojo-BSD-or-MIT
  RequireJS is released under two licenses: new BSD, and MIT. You may pick the
  license that best suits your development needs. The text of both licenses are
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..238759d
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/requirejs/text/issues
+Bug-Submit: https://github.com/requirejs/text/issues/new
+Repository: https://github.com/requirejs/text.git
+Repository-Browse: https://github.com/requirejs/text

Publish History

  • 2020-02-22T15:30: Successfully pushed (Success)

Full worker log Full build log